Subject: [bug#74046] [PATCH] doc: Add "Contributing to Guix's infrastructure".

From: Nicolas Graves <[email-masked]>
Date: Sun, 03 Nov 2024 19:51:44 +0100

I have no particular knowledge about distributed computing other than a
past use of BOINC, but I wonder if some contribution in that form would
be useful in a near future in Guix.  I have a beefy machine and would be
happy to lend ~10 cores for 10h/day to building Guix binaries.  Not that
much, but I like the idea, and I think it also helps to create another
contribution option and might participate to create a stronger
community. (By the way, same thing for peer-sharing build results, with
the same problematics).

Has there already been talks about that?  I guess the hard part is to
guarantee security / untouched contributed binaries but I guess guys
from distributed computing also have the same issues, so maybe there's a
way to guarantee that? 

-- 
Best regards,
Nicolas Graves